Summary: AFS related tools
Name: afs_tools
Version: 2.00
Release: 2.cern
Source: %{name}-%{version}.tgz
License: (C) ASIS, GPL.
Group: Applications/System
Requires: cern-wrappers perl-DBI
Packager: Arne Wiebalck <arne.wiebalck@cern.ch>
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description 

This is a set of tools around AFS management tasks:
     * afs_admin : administration tool for project space administrators
     * alifetime : report the lifetime of a CERN AFS token (in seconds)
     * k5reauth  : periodically refresh Kerberos5 and AFS credentials

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 src/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm src/*.1
install -m 755 src/*   $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/afind
%{_mandir}/man1/afind.1*
%{_bindir}/afs_admin
%{_mandir}/man1/afs_admin.1*
%{_bindir}/alifetime
%{_mandir}/man1/alifetime.1*
%{_bindir}/k5reauth
%{_mandir}/man1/k5reauth.1*


%changelog
* Thu Oct 10 2013 Arne Wiebalck <arne.wiebalck@cern.ch> 2.00-2.cern
- Added missing dependency (thanks to Samuele Kaplun for reporting this).

* Wed Oct 26 2011 Arne Wiebalck <arne.wiebalck@cern.ch> 2.00-1.cern
- Apparently, the tokens output can vary. Relaxed corresponding regexp.

* Wed Oct 26 2011 Arne Wiebalck <arne.wiebalck@cern.ch> 2.00-0.cern
- SLC6 cleanup: removed ksu, aexec, acopy

* Wed Apr 27 2011 Arne Wiebalck <arne.wiebalck@cern.ch> 1.07-3.cern
- updated documentation on how to create keytabs

* Wed Jul 1 2009 Arne Wiebalck <arne.wiebalck@cern.ch> 1.07-2.cern
- added -x option and some more documentation

* Thu May 13 2009 Arne Wiebalck <arne.wiebalck@cern.ch> 1.07-1.cern
- added k5reauth
- added deprecation warning to aexec, reauth and ksu

* Tue Jan 29 2008 bja
- new base with old patches integrated
- remove ksu
- fix some bugs

* Mon Jun 20 2005  Jan Iven <jan.iven@cern.ch> 1.06-8.cern
- looks also for "reauth.pl", and check for -x
- install man pages into correct location

* Tue Feb  1 2005  Andras Horvath <Andras.Horvath@cern.ch>
- minor fix to afs_admin

* Tue Jul  6 2004  Jan Iven <jan.iven@cern.ch>
- Import from ASIS, fixed pathes
